MyGUI 3.2.2

Public Types | Public Member Functions
MyGUI::delegates::CStaticDelegate6< TP1, TP2, TP3, TP4, TP5, TP6 > Class Template Reference

`#include <MyGUI_Delegate.h>`

Inheritance diagram for MyGUI::delegates::CStaticDelegate6< TP1, TP2, TP3, TP4, TP5, TP6 >:
[legend]

## Public Types
typedef void(* | Func) (TP1 p1, TP2 p2, TP3 p3, TP4 p4, TP5 p5, TP6 p6)

## Public Member Functions
| CStaticDelegate6 (Func _func)
virtual bool | isType (const std::type_info &_type)
virtual void | invoke (TP1 p1, TP2 p2, TP3 p3, TP4 p4, TP5 p5, TP6 p6)
virtual bool | compare (IDelegate6< TP1, TP2, TP3, TP4, TP5, TP6 > *_delegate) const
virtual bool | compare (IDelegateUnlink *_unlink) const
Public Member Functions inherited from MyGUI::delegates::IDelegate6< TP1, TP2, TP3, TP4, TP5, TP6 >
virtual | ~ IDelegate6 ()

## Detailed Description

### template<typename TP1, typename TP2, typename TP3, typename TP4, typename TP5, typename TP6>
class MyGUI::delegates::CStaticDelegate6< TP1, TP2, TP3, TP4, TP5, TP6 >

Definition at line 41 of file MyGUI_Delegate.h.

## Member Typedef Documentation

## ◆ Func

template<typename TP1 , typename TP2 , typename TP3 , typename TP4 , typename TP5 , typename TP6 >

typedef void(* MyGUI::delegates::CStaticDelegate6< TP1, TP2, TP3, TP4, TP5, TP6 >::Func) (TP1 p1, TP2 p2, TP3 p3, TP4 p4, TP5 p5, TP6 p6)

Definition at line 44 of file MyGUI_Delegate.h.

## Constructor & Destructor Documentation

## ◆ CStaticDelegate6()

template<typename TP1 , typename TP2 , typename TP3 , typename TP4 , typename TP5 , typename TP6 >

MyGUI::delegates::CStaticDelegate6< TP1, TP2, TP3, TP4, TP5, TP6 >::CStaticDelegate6 | ( | Func | _func | ) |
| inline

Definition at line 46 of file MyGUI_Delegate.h.

## Member Function Documentation

## ◆ compare() [1/2]

template<typename TP1 , typename TP2 , typename TP3 , typename TP4 , typename TP5 , typename TP6 >

virtual bool MyGUI::delegates::CStaticDelegate6< TP1, TP2, TP3, TP4, TP5, TP6 >::compare | ( | IDelegate6< TP1, TP2, TP3, TP4, TP5, TP6 > * | _delegate | ) | const
| inline virtual

Implements MyGUI::delegates::IDelegate6< TP1, TP2, TP3, TP4, TP5, TP6 >.

Definition at line 58 of file MyGUI_Delegate.h.

## ◆ compare() [2/2]

template<typename TP1 , typename TP2 , typename TP3 , typename TP4 , typename TP5 , typename TP6 >

virtual bool MyGUI::delegates::CStaticDelegate6< TP1, TP2, TP3, TP4, TP5, TP6 >::compare | ( | IDelegateUnlink * | _unlink | ) | const
| inline virtual

Reimplemented from MyGUI::delegates::IDelegate6< TP1, TP2, TP3, TP4, TP5, TP6 >.

Definition at line 64 of file MyGUI_Delegate.h.

## ◆ invoke()

template<typename TP1 , typename TP2 , typename TP3 , typename TP4 , typename TP5 , typename TP6 >

virtual void MyGUI::delegates::CStaticDelegate6< TP1, TP2, TP3, TP4, TP5, TP6 >::invoke | ( | TP1 | p1,
|  | TP2 | p2,
|  | TP3 | p3,
|  | TP4 | p4,
|  | TP5 | p5,
|  | TP6 | p6
| ) |  |
| inline virtual

Implements MyGUI::delegates::IDelegate6< TP1, TP2, TP3, TP4, TP5, TP6 >.

Definition at line 53 of file MyGUI_Delegate.h.

## ◆ isType()

template<typename TP1 , typename TP2 , typename TP3 , typename TP4 , typename TP5 , typename TP6 >

virtual bool MyGUI::delegates::CStaticDelegate6< TP1, TP2, TP3, TP4, TP5, TP6 >::isType | ( | const std::type_info & | _type | ) |
| inline virtual

Implements MyGUI::delegates::IDelegate6< TP1, TP2, TP3, TP4, TP5, TP6 >.

Definition at line 48 of file MyGUI_Delegate.h.

The documentation for this class was generated from the following file:

- MyGUI_Delegate.h